/****************************************************************************
** MirrorSelector meta object code from reading C++ file 'mirrorselector.h'
**
** Created: Thu Jan 29 00:51:40 2004
**      by: The Qt MOC ($Id: mirrorselector.moc.cpp,v 1.1 2004-03-04 16:31:18 merck Exp $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#if !defined(Q_MOC_OUTPUT_REVISION)
#define Q_MOC_OUTPUT_REVISION 9
#elif Q_MOC_OUTPUT_REVISION != 9
#error "Moc format conflict - please regenerate all moc files"
#endif

#include "mirrorselector.h"
#include <qmetaobject.h>
#include <qapplication.h>



const char *MirrorSelector::className() const
{
    return "MirrorSelector";
}

QMetaObject *MirrorSelector::metaObj = 0;

void MirrorSelector::initMetaObject()
{
    if ( metaObj )
	return;
    if ( qstrcmp(QButtonGroup::className(), "QButtonGroup") != 0 )
	badSuperclassWarning("MirrorSelector","QButtonGroup");
    (void) staticMetaObject();
}

#ifndef QT_NO_TRANSLATION

QString MirrorSelector::tr(const char* s)
{
    return qApp->translate( "MirrorSelector", s, 0 );
}

QString MirrorSelector::tr(const char* s, const char * c)
{
    return qApp->translate( "MirrorSelector", s, c );
}

#endif // QT_NO_TRANSLATION

QMetaObject* MirrorSelector::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    (void) QButtonGroup::staticMetaObject();
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    typedef void (MirrorSelector::*m1_t0)(int);
    typedef void (QObject::*om1_t0)(int);
    typedef void (MirrorSelector::*m1_t1)();
    typedef void (QObject::*om1_t1)();
    m1_t0 v1_0 = &MirrorSelector::buttonSelectedSlot;
    om1_t0 ov1_0 = (om1_t0)v1_0;
    m1_t1 v1_1 = &MirrorSelector::savePositionsSlot;
    om1_t1 ov1_1 = (om1_t1)v1_1;
    QMetaData *slot_tbl = QMetaObject::new_metadata(2);
    QMetaData::Access *slot_tbl_access = QMetaObject::new_metaaccess(2);
    slot_tbl[0].name = "buttonSelectedSlot(int)";
    slot_tbl[0].ptr = (QMember)ov1_0;
    slot_tbl_access[0] = QMetaData::Protected;
    slot_tbl[1].name = "savePositionsSlot()";
    slot_tbl[1].ptr = (QMember)ov1_1;
    slot_tbl_access[1] = QMetaData::Protected;
    typedef void (MirrorSelector::*m2_t0)(AMCMirrorPanel*);
    typedef void (QObject::*om2_t0)(AMCMirrorPanel*);
    m2_t0 v2_0 = &MirrorSelector::panelSelectedSignal;
    om2_t0 ov2_0 = (om2_t0)v2_0;
    QMetaData *signal_tbl = QMetaObject::new_metadata(1);
    signal_tbl[0].name = "panelSelectedSignal(AMCMirrorPanel*)";
    signal_tbl[0].ptr = (QMember)ov2_0;
    metaObj = QMetaObject::new_metaobject(
	"MirrorSelector", "QButtonGroup",
	slot_tbl, 2,
	signal_tbl, 1,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    metaObj->set_slot_access( slot_tbl_access );
#ifndef QT_NO_PROPERTIES
#endif // QT_NO_PROPERTIES
    return metaObj;
}

#include <qobjectdefs.h>
#include <qsignalslotimp.h>

// SIGNAL panelSelectedSignal
void MirrorSelector::panelSelectedSignal( AMCMirrorPanel* t0 )
{
    // No builtin function for signal parameter type AMCMirrorPanel*
    QConnectionList *clist = receivers("panelSelectedSignal(AMCMirrorPanel*)");
    if ( !clist || signalsBlocked() )
	return;
    typedef void (QObject::*RT0)();
    typedef void (QObject::*RT1)(AMCMirrorPanel*);
    RT0 r0;
    RT1 r1;
    QConnectionListIt it(*clist);
    QConnection   *c;
    QSenderObject *object;
    while ( (c=it.current()) ) {
	++it;
	object = (QSenderObject*)c->object();
	object->setSender( this );
	switch ( c->numArgs() ) {
	    case 0:
#ifdef Q_FP_CCAST_BROKEN
		r0 = reinterpret_cast<RT0>(*(c->member()));
#else
		r0 = (RT0)*(c->member());
#endif
		(object->*r0)();
		break;
	    case 1:
#ifdef Q_FP_CCAST_BROKEN
		r1 = reinterpret_cast<RT1>(*(c->member()));
#else
		r1 = (RT1)*(c->member());
#endif
		(object->*r1)(t0);
		break;
	}
    }
}
